package com.dxhy.customs.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.dxhy.api.model.config.UserInfo;
import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class CommonDTO implements Serializable {
    private String dbName;
    private String index;
    private Long curr;
    private Long size;
    private String menuId;
    private String company;

    /**
     * 用户信息
     */
    private UserInfo userInfo;

    public void setPage(Page<?> page) {
        page.setCurrent(this.curr);
        page.setSize(this.size);
    }

    public boolean isAll(String str) {
        return ("99".equals(str) || "全部".equals(str));
    }

}
